<?php

// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006~2016 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------
use think\Route;

Route::group('api', function () {
    Route::get('index', 'api/Index/index');
    Route::get('geocoder', 'api/Index/geocoder');
    Route::post('MiniLink', 'api/Index/Minilink');
    Route::any('Wechat/serve','api/Wechat/serve');
    Route::any('wechat/notify/:cid','api/Wechat/notify');
    Route::any('routine/notify/:cid','api/routine/notify');
    Route::post('register', 'api/User/register');
    Route::post('login', 'api/User/login');
    Route::post('logout', 'api/User/logout');
    Route::post('reset', 'api/User/resetpwd');
    Route::post('captcha', 'api/Sms/send');
    Route::post('upload', 'api/Common/upload');
    Route::get('userinfo', 'api/User/userinfo');
    Route::group('user', function () {
        Route::get('/', 'api/User/index');
        Route::post('profile', 'api/User/profile');
        Route::get('children/num', 'api/User/children_num');
        Route::get('children/:id', 'api/User/children');
        Route::get('spread_children/:id', 'api/User/spread_children');
        Route::post('setuser', 'api/User/setuser'); //会员申请
    });
    //首页
    Route::group('index', function () {
        Route::get('company', 'api/Index/company');
        Route::get('wxconfig', 'api/Index/wxconfig');

        Route::get('test', 'api/Index/test');
    });
    //微信
    Route::group('wechat', function () {
        Route::get('auth', 'api/wechat/auth');
        Route::get('wxconfig', 'api/Index/wxconfig');
        Route::get('signing', 'api/wechat/signing');
        Route::get('delete_signing', 'api/wechat/delete_signing');
        Route::get('test', 'api/wechat/test');
        Route::get('signing_plan', 'api/wechat/signing_plan');
        Route::get('user_signing', 'api/wechat/user_signing');
    });
    Route::group('mini', function () {
        Route::post('auth', 'api/MiniProgram/mp_auth');
        Route::get('wxconfig', 'api/Index/wxconfig');
    });
    //机构
    Route::group('institution', function () {
        Route::get('aed', 'api/institution/ade');
        Route::get('institution', 'api/institution/insti');
        Route::get('station', 'api/institution/station');
    });
    //文章
    Route::group('Article', function () {
        Route::get('ify', 'api/Article/ify');
        Route::get('lst', 'api/Article/lst');
        Route::get('view', 'api/Article/view');
    });
    //救在身边
    Route::group('Rescue', function () {
        Route::get('index', 'api/Rescue/index'); //救授列表
        Route::post('create', 'api/Rescue/create'); //救授申请
        Route::get('applylst', 'api/Rescue/applylst'); //申请记录
        Route::post('sos', 'api/Rescue/sos_create'); //求救申请
        Route::get('lst', 'api/Rescue/lst'); //求救/救授记录
        Route::post('setstatus', 'api/Rescue/setstatus'); //救授处理
        Route::get('sos_del','api/Rescue/sos_del');
    });
    //爱心捐款
    Route::group('lave', function () {
        Route::post('create', 'api/lave/create');
        Route::post('create_sign', 'api/lave/createSign');  //支付签约
        Route::get('delete_sign', 'api/lave/deleteSign');  //解除签约
        Route::get('ify', 'api/lave/ify');
        Route::get('lst', 'api/lave/lst');
        Route::get('mylst', 'api/lave/mylst');
        Route::get('pay', 'api/lave/pay');
        Route::get('pay_sign', 'api/lave/paySign');  //签约订单支付
        Route::get('pay_pap', 'api/lave/payPap');  //申请扣款
        Route::get('query_sign', 'api/lave/querySign');  //查询签约
        Route::get('query_sign_order', 'api/lave/query_sign_order');  //查询签约订单
        Route::get('day_query_sign_order', 'api/lave/day_query_sign_order');  //每天查询签约订单
        Route::get('cs_query_sign', 'api/lave/csquerySign');  //测试查询签约
        Route::get('check_pay_pap', 'api/lave/check_pay_pap');  //检查每月扣款
        Route::get('querycontract', 'api/lave/querycontract');  //查询签约合同
        Route::get('plan_lst', 'api/lave/plan_lst');  //模版列表
        Route::get('plan_info', 'api/lave/plan_read');  //模版列表
        Route::get('user_lst', 'api/lave/user_plan_lst');  //用户签约模版列表
        Route::get('user_info', 'api/lave/user_record_info');  //用户详情详情
    });
    //帮扶
    Route::group('help', function () {
        Route::get('index', 'api/help/index');
        Route::get('view', 'api/help/view');
        Route::post('apply', 'api/help/apply');
        Route::get('ify', 'api/help/ify');
        Route::get('applylst', 'api/help/lst');
        Route::post("userapply",'api/help/help_user_apply'); //项目帮扶人申请
        Route::get("userapplylst",'api/help/user_apply_lst'); //项目帮扶人申请
    });
    //物资
    Route::group('project', function () {
        Route::get('list', 'api/project/lst');//捐赠活动列表
        Route::get('info', 'api/project/info');//捐赠详情
        Route::post('myorder', 'api/project/myorder');//我的捐赠
        Route::post('all_order', 'api/project/all_order');//活动捐赠列表
        Route::post('order_create', 'api/project/order_create');//创建捐赠
        Route::post('create_user', 'api/project/create_user');//创建用户
        Route::get('user_list', 'api/project/user_list');//我的所有用户
        Route::get('Donation_info', 'api/project/Donation_info');//系统所有物资
        Route::post('bill', 'api/project/bill');//所有状态记录
        Route::get('order_info', 'api/project/order_info');//订单详情
    });
    //培训
    Route::group('training', function () {
        Route::get('lst', 'api/training/lst');
        Route::get('view', 'api/training/view');
        Route::post('apply', 'api/training/apply');
        Route::get('mylst', 'api/training/mylst');
    });
    //年费
    Route::group('level', function () {
        Route::post('create', 'api/level/create');
        Route::get('ify', 'api/level/ify');
        Route::get('lst', 'api/level/lst');
        Route::get('view', 'api/level/view');
    });
    //捐献
    Route::group('donate', function () {
        Route::post('apply', 'api/donate/apply');
        Route::get('lst', 'api/donate/lst');
        Route::get('ify', 'api/donate/ify');
        Route::get('view', 'api/donate/view');
    });
    //志愿者
    Route::group('volunteer', function () {
        Route::post('apply', 'api/volunteer/apply');
        Route::get('applylst', 'api/volunteer/lst');
    });





});
return [


    //别名配置,别名只能是映射到控制器且访问时必须加上请求的方法
    '__alias__'   => [
    ],
    //变量规则
    '__pattern__' => [
    ],
//        域名绑定到模块
//        '__domain__'  => [
//            'admin' => 'admin',
//            'api'   => 'api',
//        ],
];
